<?php
/**
* @version	$Id: comprofiler.php 205 2011-10-27 22:48:42Z progmist $
* @package      JCE Advlink
* @copyright    Copyright (C) 2010 Progmist and Co. All rights reserved.
* @license      GNU/GPL http://www.gnu.org/copyleft/gpl.html
* @author	D. Blokhin, B. Baturin
 */

// no direct access
defined( '_WF_EXT' ) or die( 'ERROR_403' );

class WFLinkBrowser_comprofiler extends JObject {
    
    var $_option    = array();
    
    var $_adapters  = array();
    

    function __construct($options = array()){
        jimport('joomla.filesystem.folder');
        jimport('joomla.filesystem.file');
                
        $path = dirname( __FILE__ ) .DS. 'comprofiler';
        
        // Get all files
        $files = JFolder::files( $path, '\.(php)$' );
        
        if ( !empty( $files ) ) {
            foreach( $files as $file ) {
                require_once( $path .DS. $file );
                $classname = 'Progmistlinks' . ucfirst( JFile::stripExt( $file ) );
                $this->_adapters[] = new $classname;
            }
        }
    }
    
    function &getInstance(){
        static $instance;

        if ( !is_object( $instance ) ){
            $instance = new WFLinkBrowser_comprofiler();
        }
        return $instance;
    }
    
    function display()
    {
        $document = WFDocument::getInstance();
    }
    
    function isEnabled() 
    {
        $wf = WFEditorPlugin::getInstance();
        return $wf->checkAccess($wf->getName() . '.links.progmistlinks', 1);
    }
    
    function getOption()
    {
        foreach( $this->_adapters as $adapter ){
            $this->_option[]= $adapter->getOption();
        }
        return $this->_option;
    }
    
    function getList()
    {
        $list = '';
        
        foreach( $this->_adapters as $adapter ){
            $list .= $adapter->getList();
        }
        return $list;   
    }
    
    function getLinks( $args )
    {
        foreach( $this->_adapters as $adapter ){
            if( $adapter->getOption() == $args->option ){
                return $adapter->getLinks( $args );
            }
        }
    }
}   
?>