<?php
/**
* @version	$Id: comprofiler.php$
* @package      JCE Advlink
* @copyright    Copyright (C) 2010 Progmist & Co. All rights reserved.
* @license      GNU/GPL http://www.gnu.org/copyleft/gpl.html
* @author	D. Blokhin, B. Baturin
*/

// no direct access
defined('_WF_EXT') or die('ERROR_403');

class ProgmistlinksComprofiler  extends JObject
{
    var $_option = 'com_comprofiler';
    
    function __construct($options = array())
    {
        
    }
    
    function & getInstance()
    {
        static $instance;
        
        if (!is_object($instance)) {
            $instance = new ProgmistlinksComprofiler();
        }
        return $instance;
    }
    
    public function getOption()
    {
        return $this->_option;
    }
    	
    function getDirNowRel() {
    
    	$dir_rel = str_replace(JPATH_SITE, '', dirname(__FILE__));
    	$dir_rel = str_replace(DS, '/', $dir_rel);
    	$dir_rel = substr($dir_rel, 1, strlen($dir_rel) - 1);
    
    	return $dir_rel;
    }
        
    function getList()
    {
        $wf = WFEditorPlugin::getInstance();
       
		$component_exists = JFolder::exists(JPATH_ADMINISTRATOR.DS.'components'.DS.$this->get('_option'));
        
        $list = '<link rel="stylesheet" href="'.JUri::root().$this->getDirNowRel().'/assets/advlink_cb.css'.'" type="text/css" />';
        
        if ($wf->checkAccess('progmistlinks.comprofiler', 1) && $component_exists) {
            $list = $list. '<li id="index.php?option=com_comprofiler">'
            					.'<div class="tree-row">'
            						.'<div class="tree-image"></div>'
            						.'<span class="folder root comprofiler nolink">'
            							.'<a href="javascript:void(0);">' 
            								. JText::_('Community Builder') 
            							. '</a>'
            						.'</span>'
            					.'</div>'
           					.'</li>';
            
        }
        return $list;
    }
                
	function getLinks ($args) 
	{
		
		$mytask = isset($args->mytask) ? $args->mytask : '';
		$def_menu = ProgmistlinksComprofiler::default_menu_item();
		if (!isset($def_menu)) $def_menu = 1;
		$item_id = isset($args->Itemid) ? $args->Itemid : $def_menu ; 
		$items = array();
		
		switch ($mytask)
		{
			case 'profile': 
			$items[] = array (
				'id' 	=> ProgmistlinksComprofiler::route('index.php?option=com_comprofiler&task=userDetails', $item_id),
				'name'	=> 'Edit profile',
				'class'	=> 'file comprofiler profile_edit'
				);
			$items[] = array (
				'id' 	=> ProgmistlinksComprofiler::route('index.php?option=com_comprofiler&task=userAvatar', $item_id),
				'name'	=> 'Edit Avatar',
				'class'	=> 'file comprofiler avatar_edit'
				);
				
			if (ProgmistlinksComprofiler::cons_enable())
			{	
				$items[] = array (
				'id' 	=> ProgmistlinksComprofiler::route('index.php?option=com_comprofiler&task=manageConnections', $item_id),
				'name'	=> 'Manage Your Connections',
				'class'	=> 'file comprofiler connections'
				);
			}
			break;
			
			case 'users': 
			$users = array();
			$users = ProgmistlinksComprofiler::users();
			
			foreach ($users as $user)
			{
				$items[] = array (
					'id' 	=> 'index.php?option=com_comprofiler&task=userProfile&user='.$user->id.'&Itemid='.$item_id.'&mytask=openuser',
					'url' 	=> ProgmistlinksComprofiler::route('index.php?option=com_comprofiler&task=userProfile&user='.$user->id, $item_id),
					'name'	=> $user->name,
					'class'	=> 'folder comprofiler user_view'
					);
			}
			break;
			
			case 'openuser': 
			$uid = isset($args->user) ? $args->user : '';
			
			$items[] = array (
				'id' 	=> ProgmistlinksComprofiler::route('index.php?option=com_comprofiler&task=userProfile&user='.$uid, $item_id),
				'name'	=> 'View user\'s profile',
				'class'	=> 'file comprofiler category'
				);
			$items[] = array (
				'id' 	=> ProgmistlinksComprofiler::route('index.php?option=com_comprofiler&task=emailUser&uid='.$uid, $item_id),
				'name'	=> 'Send Email',
				'class'	=> 'file comprofiler email_send'
				);
				
			if (ProgmistlinksComprofiler::cons_enable())
			{	
				$items[] = array (
				'id' 	=> 'index.php?option=com_comprofiler&act=connections&task=addConnection&connectionid='.$uid,
				'name'	=> 'Request connection',
				'class'	=> 'file comprofiler connection_add'
				);
			}
			break;
			
			case 'userslists':
			$lists = array();
			$lists = ProgmistlinksComprofiler::lists();
			
			foreach ($lists as $list) 
			{
				$items[] = array (
				'id' 	=> ProgmistlinksComprofiler::route('index.php?option=com_comprofiler&task=userslist&listid='.$list->listid, $item_id),
				'name'	=> $list->title,
				'class'	=> 'file comprofiler view_list'
				);
			}
			
			break; 
			
			default: 
			$items[] = array (
				'id' 	=> 'index.php?option=com_comprofiler&mytask=profile',
				'url' 	=> ProgmistlinksComprofiler::route('index.php?option=com_comprofiler', $item_id),
				'name'	=> 'My Profile',
				'class'	=> 'folder comprofiler profile'
				);
			$items[] = array (
				'id' 	=> 'index.php?option=com_comprofiler&mytask=users',
				'url' 	=> ProgmistlinksComprofiler::route('index.php?option=com_comprofiler', $item_id),
				'name'	=> 'Users',
				'class'	=> 'folder comprofiler users'
				);
			$items[] = array (
				'id' 	=> 'index.php?option=com_comprofiler&mytask=userslists',
				'url' 	=> ProgmistlinksComprofiler::route('index.php?option=com_comprofiler&task=userslist', $item_id),
				'name'	=> 'Users Lists',
				'class'	=> 'folder comprofiler category'
				);
				
			$items[] = array (
				'id' 	=> ProgmistlinksComprofiler::route('index.php?option=com_comprofiler&task=registers', $item_id),
				'name'	=> 'Register',
				'class'	=> 'file comprofiler category'
				);
			$items[] = array (
				'id' 	=> ProgmistlinksComprofiler::route('index.php?option=com_comprofiler&task=login', $item_id),
				'name'	=> 'Login form',
				'class'	=> 'file comprofiler category'
				);
			$items[] = array (
				'id' 	=> ProgmistlinksComprofiler::route('index.php?option=com_comprofiler&task=lostpassword', $item_id),
				'name'	=> 'Restore password',
				'class'	=> 'file comprofiler category'
				);
				
			break;
		}
		return $items;
	}  
	
	function cons_enable () // is enable connections?
	{
		if (!defined('UE_CONFIG'))
		{
			define('UE_CONFIG', JPATH_ROOT.DS.'administrator'.DS.'components'.DS.'com_comprofiler'.DS.'ue_config.php');
		}
		
		if (file_exists(UE_CONFIG))
		{
			$ueConfig = array ();
			require_once (UE_CONFIG); 
			
			return ($ueConfig['allowConnections'] == '1');
		}
		
		return 0;	
	}
	
	function lists ()
	{
		$db = JFactory::getDBO();
		$db->setQuery('SELECT listid, title from #__comprofiler_lists WHERE (published = 1)');
		
		return $db->loadObjectList();		
	}
	
	function users ()
	{
		$db = JFactory::getDBO();
		$db->setQuery('SELECT id, name FROM #__users WHERE  (block = 0)');
		
		return $db->loadObjectList();
	}
	
	function default_menu_item ()
	{
		$db = JFactory::getDBO(); 
		$db->setQuery('SELECT `id` FROM  #__menu WHERE (home = 1)');
		return $db->loadResult();
	}
	
	function route ($link, $def_menu_item)
	{
		$db = JFactory::getDBO(); 
		$db->setQuery('SELECT `id` FROM  #__menu WHERE (link LIKE  "%'.$link.'%") and (published = 1) LIMIT 1');
		
		if ($res = $db->loadResult())
		{
			return $link."&Itemid=".$res;
		}	else 
		{
			if ($link == 'index.php?option=com_comprofiler') return $link;
			return $link."&Itemid=".$def_menu_item;
		}
	}
	
}
