<?php
/**
 * @package       JCE
 * @copyright     Copyright (c) 2009-2017 Ryan Demmer. All rights reserved.
 * @license       GNU/GPL 2 or later - http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 * JCE is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */
defined('_WF_EXT') or die('RESTRICTED');
?>

    <div class="uk-form-row">
        <label for="widgetkit_lightbox_title" class="uk-form-label uk-width-1-5 hastip" title="<?php echo WFText::_('WF_POPUPS_WIDGETKIT_BOXTITLE_DESC'); ?>"><?php echo WFText::_('WF_POPUPS_WIDGETKIT_BOXTITLE'); ?></label>
        <div class="uk-form-controls uk-width-4-5">
            <input id="widgetkit_lightbox_title" type="text" class="text" value="" />
        </div>
    </div>
    <div class="uk-form-row">
        <label for="widgetkit_lightbox_group" class="uk-form-label uk-width-1-5 hastip" title="<?php echo WFText::_('WF_POPUPS_WIDGETKIT_GROUP_DESC'); ?>"><?php echo WFText::_('WF_POPUPS_WIDGETKIT_GROUP'); ?></label>
        <div class="uk-form-controls uk-width-4-5">
            <input id="widgetkit_lightbox_group" type="text" class="text" value="" />
        </div>
    </div>
    <div class="uk-form-row">
        <label for="widgetkit_lightbox_titlePosition" class="uk-form-label uk-width-1-5 hastip" title="<?php echo WFText::_('WF_POPUPS_WIDGETKIT_TITLEPOSITION_DESC'); ?>"><?php echo WFText::_('WF_POPUPS_WIDGETKIT_TITLEPOSITION'); ?></label>

        <div class="uk-form-controls uk-width-1-5">
            <select id="widgetkit_lightbox_titlePosition">
                <option value=""><?php echo WFText::_('WF_OPTION_NOT_SET'); ?></option>
                <option value="float"><?php echo WFText::_('WF_POPUPS_WIDGETKIT_FLOAT'); ?></option>
                <option value="outside"><?php echo WFText::_('WF_POPUPS_WIDGETKIT_OUTSIDE'); ?></option>
                <option value="inside"><?php echo WFText::_('WF_POPUPS_WIDGETKIT_INSIDE'); ?></option>
                <option value="over"><?php echo WFText::_('WF_POPUPS_WIDGETKIT_OVER'); ?></option>
            </select>
        </div>

        <label for="widgetkit_lightbox_overlayShow" class="uk-form-label uk-width-1-5 uk-margin-left hastip" title="<?php echo WFText::_('WF_POPUPS_WIDGETKIT_OVERLAYSHOW_DESC'); ?>"><?php echo WFText::_('WF_POPUPS_WIDGETKIT_OVERLAYSHOW'); ?></label>

        <div class="uk-form-controls uk-width-1-5">
            <select id="widgetkit_lightbox_overlayShow">
                <option value=""><?php echo WFText::_('WF_OPTION_NOT_SET'); ?></option>
                <option value="true"><?php echo WFText::_('WF_OPTION_YES'); ?></option>
                <option value="false"><?php echo WFText::_('WF_OPTION_NO'); ?></option>
            </select>
        </div>
    </div>

    <div class="uk-form-row">
        <label class="hastip uk-form-label uk-width-1-5" title="<?php echo WFText::_('WF_LABEL_DIMENSIONS_DESC'); ?>">
                <?php echo WFText::_('WF_LABEL_DIMENSIONS'); ?>
            </label>
            <div class="uk-form-controls uk-width-4-5 uk-form-constrain">

                <div class="uk-form-controls uk-width-1-4">
                    <input type="text" id="widgetkit_lightbox_width" value="" class="uk-text-muted" />
                </div>

                <div class="uk-form-controls">
                    <strong class="uk-margin-left uk-margin-right uk-vertical-align-middle">&times;</strong>
                </div>

                <div class="uk-form-controls uk-width-1-4">
                    <input type="text" id="widgetkit_lightbox_height" value="" class="uk-text-muted" />
                </div>

                <label class="uk-form-label uk-margin-left">
                    <input class="uk-constrain-checkbox" type="checkbox" checked />
                    <?php echo WFText::_('WF_LABEL_PROPORTIONAL'); ?>
                </label>
            </div>
    </div>

    <div class="uk-form-row">
        <label for="widgetkit_lightbox_padding" class="uk-form-label uk-width-1-5 hastip" title="<?php echo WFText::_('WF_POPUPS_WIDGETKIT_PADDING_DESC'); ?>"><?php echo WFText::_('WF_POPUPS_WIDGETKIT_PADDING'); ?></label>
        <div class="uk-form-controls uk-width-4-5">
            <input type="text" size="5" id="widgetkit_lightbox_padding" />
        </div>
    </div>
    <div class="uk-form-row">
        <label for="widgetkit_lightbox_transitionIn" class="uk-form-label uk-width-1-5 hastip" title="<?php echo WFText::_('WF_POPUPS_WIDGETKIT_TRANSITIONIN_DESC'); ?>"><?php echo WFText::_('WF_POPUPS_WIDGETKIT_TRANSITIONIN'); ?></label>
        <div class="uk-form-controls uk-width-1-5">
            <select id="widgetkit_lightbox_transitionIn">
                <option value=""><?php echo WFText::_('WF_OPTION_NOT_SET'); ?></option>
                <option value="fade"><?php echo WFText::_('WF_POPUPS_WIDGETKIT_FADE'); ?></option>
                <option value="elastic"><?php echo WFText::_('WF_POPUPS_WIDGETKIT_ELASTIC'); ?></option>
                <option value="none"><?php echo WFText::_('WF_OPTION_NONE'); ?></option>
            </select>
        </div>

        <label for="widgetkit_lightbox_transitionOut" class="uk-form-label uk-width-1-5 uk-margin-left hastip" title="<?php echo WFText::_('WF_POPUPS_WIDGETKIT_TRANSITIONOUT_DESC'); ?>"><?php echo WFText::_('WF_POPUPS_WIDGETKIT_TRANSITIONOUT'); ?></label>
        <div class="uk-form-controls uk-width-1-5">
            <select id="widgetkit_lightbox_transitionOut">
                <option value=""><?php echo WFText::_('WF_OPTION_NOT_SET'); ?></option>
                <option value="fade"><?php echo WFText::_('WF_POPUPS_WIDGETKIT_FADE'); ?></option>
                <option value="elastic"><?php echo WFText::_('WF_POPUPS_WIDGETKIT_ELASTIC'); ?></option>
                <option value="none"><?php echo WFText::_('WF_OPTION_NONE'); ?></option>
            </select>
        </div>
    </div>
    <div class="uk-form-row">
        <label for="widgetkit_lightbox_type" class="uk-form-label uk-width-1-5 hastip" title="<?php echo WFText::_('WF_POPUPS_WIDGETKIT_TYPE_DESC'); ?>"><?php echo WFText::_('WF_POPUPS_WIDGETKIT_TYPE'); ?></label>
        <div class="uk-form-controls uk-width-4-5">
            <select id="widgetkit_lightbox_type">
                <option value=""><?php echo WFText::_('WF_POPUPS_WIDGETKIT_DETECT'); ?></option>
                <option value="image"><?php echo WFText::_('WF_POPUPS_WIDGETKIT_IMAGE'); ?></option>
                <option value="ajax"><?php echo WFText::_('WF_POPUPS_WIDGETKIT_AJAX'); ?></option>
                <option value="iframe"><?php echo WFText::_('WF_POPUPS_WIDGETKIT_IFRAME'); ?></option>
                <option value="inline"><?php echo WFText::_('WF_POPUPS_WIDGETKIT_INLINE'); ?></option>
            </select>
        </div>
    </div>